Dashboards the caller may open, less any that came with a module this tenant does not have.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/dashboards \
--header 'Content-Type: application/json' \
--data '
{
"category": "<string>",
"code": "<string>",
"copied_from_dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_period": "<string>",
"default_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"is_organization_wide": true,
"last_viewed_at": "<string>",
"layout_columns": 123,
"mine": true,
"name": "<string>",
"owner_name": "<string>",
"schedules": 123,
"seeded_from": "<string>",
"shared_with": [
"<string>"
],
"shared_with_me": true,
"shows_filter_bar": true,
"status": "<string>",
"updated_at": "<string>",
"view_count": 123,
"visibility": "<string>",
"widgets": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/dashboards"
payload = {
"category": "<string>",
"code": "<string>",
"copied_from_dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_period": "<string>",
"default_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"is_organization_wide": True,
"last_viewed_at": "<string>",
"layout_columns": 123,
"mine": True,
"name": "<string>",
"owner_name": "<string>",
"schedules": 123,
"seeded_from": "<string>",
"shared_with": ["<string>"],
"shared_with_me": True,
"shows_filter_bar": True,
"status": "<string>",
"updated_at": "<string>",
"view_count": 123,
"visibility": "<string>",
"widgets": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
category: '<string>',
code: '<string>',
copied_from_dashboard_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '<string>',
created_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_period: '<string>',
default_site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
is_organization_wide: true,
last_viewed_at: '<string>',
layout_columns: 123,
mine: true,
name: '<string>',
owner_name: '<string>',
schedules: 123,
seeded_from: '<string>',
shared_with: ['<string>'],
shared_with_me: true,
shows_filter_bar: true,
status: '<string>',
updated_at: '<string>',
view_count: 123,
visibility: '<string>',
widgets: 123
})
};
fetch('https://app.assetinfinity.ai/api/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Dashboards
Dashboards the caller may open, less any that came with a module this tenant does not have.
PATCH
/
dashboards
Dashboards the caller may open, less any that came with a module this tenant does not have.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
dashboards
Dashboards the caller may open, less any that came with a module this tenant does not have.
Maximum string length:
60Maximum string length:
60Note:
This is a Foreign Key to dashboards.id.
Note:
This is a Foreign Key to capex_invite_candidates.id.
Maximum string length:
20Note:
This is a Foreign Key to entry_currencies.for_site_id.
Note: This is a Primary Key.
Maximum string length:
150Maximum string length:
200Maximum string length:
20Maximum string length:
20Maximum string length:
20Response
204
No Content
⌘I

